V1.0

get

/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/ehrdata/subjects/{subjectId}/visit/{eventId}/studyversion/{studyVersion}/{category}

Retrieves EHR Data for a particular subject and a visit. Fetches for the category provided, which can be any of the following:
  • LABS
  • MEDICAL
  • MEDICATIONHISTORY
  • VITALS
  • DEMOGRAPHICS
  • PROCEDURES

Request

Path Parameters
  • EHR category name can be any of these LABS, MEDICAL, MEDICATIONHISTORY, VITALS, DEMOGRAPHICS, PROCEDURES.
    Example:
    LABS
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    2E4567890ABCDEF1234567890ABCDEF0
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ABCDEF1234567890ABCDEF1234567890
  • String representing the version of the study. Helps track changes in form or study design.
    Example:
    1.0.0.0
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    AEBC7137B253422D8A23C8C12B8DF125
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

EHR category data successfully retrieved with paginated result.
Body ()
Root Schema : OCCCategoryDataDto
Type: object
Represents a category of EHR data associated with a subject for a specific visit event in OCC. Contains the name of the EHR category and the list of category data records retrieved for the subject.
Show Source
  • The OCC EHR category type can be of LABS, MEDICAL, MEDICATIONHISTORY, VITALS, DEMOGRAPHICS, PROCEDURES.
    Example: LABS
  • EHRCategoryDTO
    Represents a single record within an OCC EHR category, corresponding to measured or recorded clinical data at a point in time. Includes a list of the individual data points.
Nested Schema : EHRCategoryDTO
Type: object
Represents a single record within an OCC EHR category, corresponding to measured or recorded clinical data at a point in time. Includes a list of the individual data points.
Show Source
Nested Schema : EHRRecordedDataDTO
Type: object
Stores the individual recorded EHR data values for a given measurement, with HDI identifier and clinical data attributes.
Show Source
  • EHRDataAttributesDTO
    Detailed attribute or measured value associated with an OCC EHR clinical record. Includes property name, value, units, codes and HDI identifier.
  • Stores the ID as received from Oracle Clinical Conector (OCC). It could be different for each data element in a form, but can also be the same. Uses UUID, 32-character uppercase hexadecimal string format.
    Example: D2E9219A568740A78CC570066F56C2D6
Nested Schema : EHRDataAttributesDTO
Type: object
Detailed attribute or measured value associated with an OCC EHR clinical record. Includes property name, value, units, codes and HDI identifier.
Show Source
  • Stores the ID as received from Oracle Clinical Conector (OCC). It could be different for each data element in a form, but can also be the same. Uses UUID, 32-character uppercase hexadecimal string format.
    Example: C091C9D975C44E87B8D417C3AC867A43
  • Canonical name of the measured property or attribute.
    Example: Hemoglobin
  • occCodes
    OCC codes referencing controlled vocabulary/clinical mapping.
  • Parent name or grouping for this clinical property or attribute.
    Example: Lab Panel
  • Original source unit for the measurement.
    Example: g/dL
  • Original source value for the measurement.
    Example: 13.7
  • Units for the measured property value.
    Example: g/dL
  • values
    Recorded values for this property.
Nested Schema : occCodes
Type: array
OCC codes referencing controlled vocabulary/clinical mapping.
Show Source
  • OCC codes referencing controlled vocabulary/clinical mapping.
    Example: ["2.16.840.1.113883.5.50"]
Example:
[
    "2.16.840.1.113883.5.50"
]
Nested Schema : values
Type: array
Recorded values for this property.
Show Source
Example:
[
    "13.7"
]
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top